* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --primary: #3a1467;
  --secondary: #0080003b;
  --white: #fff;
  --black: #000;
  --text: #666;
  --grey: #3a146614;
  --container: 1280px;
}

.container {
  width: 100%;
  max-width: var(--container);
  margin: 0 auto;
}

body,
html {
  font-size: 16px;
}

textarea {
  font-family: "Poppins", serif;
}

a {
  text-decoration: none;
}

p,
strong,
a,
li {
  color: var(--text);
  line-height: 1.3;
  font-family: "Poppins", serif;
}

ul li {
  list-style: none;
}

h1,
h2,
h3,
h4,
h5 {
  font-family: "Kugile";
  line-height: 1.3 !important;
}

.btn {
  display: inline-block;
  padding: 12px 24px;
  text-decoration: none;
  font-size: 14px;
  font-weight: 400;
  border: 2px solid var(--primary);
  border-radius: 5px;
  transition: all 0.3s ease;
}
.btn.btn-primary {
  background: var(--primary);
  color: var(--white);
  border: 2px solid var(--primary);
  font-size: 14px;
}
.btn.btn-primary:hover {
  background: transparent;
  color: var(--primary);
}
.btn.btn-outline {
  background: transparent;
  color: var(--primary);
  border: 2px solid var(--primary);
  font-size: 14px;
}
.btn.btn-outline:hover {
  background: var(--primary);
  color: var(--white);
}

.heading h3 {
  font-size: 36px;
  line-height: 1.3;
  color: var(--primary);
}

.fixed-media {
  position: fixed;
  bottom: 5%;
  right: 5%;
  z-index: 999;
  display: flex;
  align-items: center;
  gap: 20px;
}
.fixed-media .btn {
  border-radius: 50px;
  color: var(--white);
}
.fixed-media .wts {
  padding: 8px;
  border-radius: 50%;
  background: #25d366;
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
  transition: all 0.3s ease;
}
.fixed-media .wts svg {
  width: 24px;
  display: block;
}
.fixed-media .wts svg path {
  fill: var(--white);
}

header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 999;
  padding-top: 15px;
}
header .lower-menu {
  background: rgba(255, 255, 255, 0.96);
  backdrop-filter: blur(12px);
  border-radius: 18px;
  padding: 18px 26px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  box-shadow: 0 15px 40px rgba(0, 0, 0, 0.08);
}
header .lower-menu .logo {
  width: 200px;
}
header .lower-menu .logo img {
  width: 100%;
  display: block;
}
header .lower-menu .menu-list {
  display: flex;
  align-items: center;
  gap: 15px;
  list-style: none;
}
header .lower-menu .menu-list li {
  position: relative;
}
header .lower-menu .menu-list li a {
  color: #000;
  font-size: 14px;
  font-weight: 500;
  text-decoration: none;
  padding: 10px 0 5px;
  position: relative;
  transition: 0.3s;
  display: flex;
  gap: 5px;
  align-items: center;
}
header .lower-menu .menu-list li a svg {
  width: 24px;
  height: 24px;
  display: block;
  transform: rotate(90deg);
  transition: all 0.3s ease-in;
}
header .lower-menu .menu-list li a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -5px;
  width: 0;
  height: 2px;
  background: var(--primary);
  transition: 0.3s;
}
header .lower-menu .menu-list li a:hover {
  color: var(--primary);
}
header .lower-menu .menu-list li a:hover::after {
  width: 100%;
}
header .lower-menu .menu-list li .dropdown-menu {
  position: absolute;
  top: calc(100% + 25px);
  left: 0;
  min-width: 280px;
  background: #fff;
  border-radius: 16px;
  overflow: hidden;
  list-style: none;
  /* padding: 10px 0; */
  opacity: 0;
  visibility: hidden;
  transform: translateY(15px);
  transition: 0.35s ease;
  box-shadow: 0 20px 50px rgba(0, 0, 0, 0.12);
}
header .lower-menu .menu-list li .dropdown-menu li {
  width: 100%;
}
header .lower-menu .menu-list li .dropdown-menu li a {
  display: block;
  padding: 12px 22px;
  color: #444;
  font-size: 15px;
}
header .lower-menu .menu-list li .dropdown-menu li a::after {
  display: none;
}
header .lower-menu .menu-list li .dropdown-menu li a:hover {
  background: var(--primary);
  color: #fff;
}
header .lower-menu .menu-list li:hover .dropdown-menu {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
  height: 500px;
  max-height: fit-content;
  overflow-y: auto;
}
header .lower-menu .menu-list li:hover > a svg {
  transform: rotate(-90deg);
}
header .header-btn {
  background: var(--primary);
  color: #fff;
  text-decoration: none;
  padding: 12px 28px;
  border-radius: 50px;
  font-weight: 600;
  transition: 0.3s;
}
header .header-btn:hover {
  transform: translateY(-3px);
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
}

@media (max-width: 991px) {
  header .lower-menu {
    padding: 15px 20px;
  }
  header .lower-menu .menu-list {
    gap: 20px;
  }
  header .lower-menu .menu-list li a {
    font-size: 14px;
  }
}
@media (max-width: 767px) {
  header .lower-menu {
    flex-direction: column;
    gap: 20px;
  }
  header .lower-menu .menu-list {
    flex-wrap: wrap;
    justify-content: center;
  }
}
.top-strip {
  background: #fff;
  padding: 8px 0;
}

.top-strip .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.top-strip ul {
  display: flex;
  gap: 20px;
}

.top-strip a {
  color: #000;
  font-size: 13px;
  font-weight: 500;
}

.contact-info {
  display: flex;
  gap: 20px;
}

header {
  padding-top: 0;
}

.lower-menu {
  margin-top: 10px;
}
.mobile_nav {
  display: none;
}
.menu-toggle {
  display: none;
  background: transparent;
  border: none;
  font-size: 28px;
  color: var(--primary);
  cursor: pointer;
}

body.menu-open {
  overflow: hidden;
  height: 100vh;
}

@media (max-width: 991px) {
  .lower-menu {
    margin: 10px;
  }
  .top-strip {
    display: none;
  }

  header .lower-menu {
    position: relative;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: space-between;
    gap: 0;
    height: 660px;
    max-height: fit-content;
    overflow-y: scroll;
  }

  .menu-toggle {
    display: block;
  }

  header .lower-menu .logo {
    width: 220px;
  }

  .mobile_nav {
    display: block;
  }

  header .lower-menu .menu-list {
    width: 100%;
    display: none;
    flex-direction: column;
    gap: 0;
    margin-top: 20px;
    padding-top: 0px;
    border-top: 1px solid #eee;
  }

  header .lower-menu .menu-list.active {
    display: flex !important;
  }

  header .lower-menu .menu-list li {
    width: 100%;
  }

  header .lower-menu .menu-list li a {
    padding: 14px 0;
    justify-content: space-between;
    width: 100%;
    flex-direction: row;
  }

  header .lower-menu .menu-list li .dropdown-menu {
    position: static;
    opacity: 1;
    visibility: visible;
    transform: none;
    min-width: 100%;
    box-shadow: none;
    border-radius: 0;
    display: none;
    margin-bottom: 10px;
    background: #f8f8f8;
    max-height: 220px;
    overflow-y: auto;
  }

  header .lower-menu .menu-list li.active .dropdown-menu {
    display: block;
  }

  header .lower-menu .menu-list li:hover .dropdown-menu {
    display: none;
  }

  header .lower-menu .menu-list li.active .dropdown-menu {
    display: block;
  }

  header .lower-menu .menu-list li .dropdown-menu li a {
    padding: 10px 15px;
    font-size: 14px;
  }

  header .lower-menu .menu-list li a svg,
  header .lower-menu .menu-list li a i {
    transition: 0.3s;
  }

  header .lower-menu .menu-list li.active > a svg,
  header .lower-menu .menu-list li.active > a i {
    transform: rotate(0deg);
  }
}
